require 'test_helper'

class SessionsControllerTest < ActionController::TestCase
  setup do
    @request.env['HTTP_REFERER']='/say/hello'
  end

  test "login" do
    post :create, {:neptun => users(:me).neptun, :password => 'titok'}
    assert_response :redirect
    assert_equal session[:user], users(:me).id
  end

  test "should get destroy" do
    get :destroy, nil, {:user => users(:me).id}
    assert_response :redirect
    assert_nil session[:user]
  end

end
